> For the complete documentation index, see [llms.txt](https://docs.non-obvious.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.non-obvious.ai/sdks-guide/blockchain-sdks/storage-sdk/fetchmetadata.md).

# fetchMetadata

## Description

The `fetchMetaData`function retrieves metadata associated with a given IPFS hash. It sends a GET request to the IPFS gateway to fetch the metadata and returns it as a response.&#x20;

## Parameters

| Parameter  | Type   | Description                                |
| ---------- | ------ | ------------------------------------------ |
| `ipfsHash` | string | The IPFS hash associated with the metadata |

## Response

| Property | Type   | Description                                         |
| -------- | ------ | --------------------------------------------------- |
| `data`   | object | The metadata object retrieved from the IPFS gateway |

## Example Request and Response

### Prerequisites

Before making requests with NO.AI SDK, you must have it installed.

You can install NO.AI SDK using either **`npm`** or **`yarn`**. Use the following commands to install NO.AI SDK:

```jsx
npm install @nest25/storage-lib
OR
yarn add @nest25/storage-lib
```

### Request

Here is an example of how to make a `fetchMetaData` request using the NO.AI SDK:

```
// import Nest SDK library
const { StorageLibrary } = require('@nest25/storage-lib');
// create an instance of the storage library
const storageLibrary = new StorageLibrary();

async function main() {
  // fetch metadata from ipfs hash and print it
  const ipfsHash = await storageLibrary.fetchMetadata('Qme6nVQjNfnrbFiZ5VFgbjvVL21xATkmH1gQWiQxtKJ6JY');
  console.log(ipfsHash);
}
main();
```

### Response

```
{ res: { name: 'test', age: 30 } }
```

## Use Cases

* **NFT Marketplaces:** The function can be used by NFT marketplaces to retrieve metadata for NFTs stored on IPFS.
* **DApps:** The function can be used by decentralized applications to retrieve metadata stored on IPFS.
* **DeFi Platforms:** The function can be used by DeFi platforms to retrieve metadata for various assets stored on IPFS.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.non-obvious.ai/sdks-guide/blockchain-sdks/storage-sdk/fetchmetadata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
